import * as mc from "@minecraft/server";
import * as ui from "@minecraft/server-ui";

function getScore(objective, player) { try { return mc.world.scoreboard.getObjective(objective).getScore(player.scoreboardIdentity); } catch (error) { return 0; } }

mc.world.beforeEvents.worldInitialize.subscribe(event => {
	const itemComponentRegistry = event.itemComponentRegistry;
	itemComponentRegistry.registerCustomComponent("wesl3y:menu_status",{onUse: arg => {menu_status(arg.source);}});
});

function menu_status(player) {
  const
    form = new ui.ActionFormData(),
    hp = getScore("hp_status", player) == 1 ? "10 Xp" : getScore("hp_status", player) == 2 ? "15 Xp" : getScore("hp_status", player) == 3 ? "20 Xp" : getScore("hp_status", player) == 4 ? "25 Xp" : getScore("hp_status", player) >= 5 ? "§cMax§r" : "5 Xp",
    res = getScore("res_status", player) == 1 ? "10 Xp" : getScore("res_status", player) == 2 ? "15 Xp" : getScore("res_status", player) == 3 ? "20 Xp" : getScore("res_status", player) == 4 ? "25 Xp" : getScore("res_status", player) >= 5 ? "§cMax§r" : "5 Xp",
    spd = getScore("spd_status", player) == 1 ? "10 Xp" : getScore("spd_status", player) == 2 ? "15 Xp" : getScore("spd_status", player) == 3 ? "20 Xp" : getScore("spd_status", player) == 4 ? "25 Xp" : getScore("spd_status", player) >= 5 ? "§cMax§r" : "5 Xp",
    dmg = getScore("dmg_status", player) == 1 ? "10 Xp" : getScore("dmg_status", player) == 2 ? "15 Xp" : getScore("dmg_status", player) == 3 ? "20 Xp" : getScore("dmg_status", player) == 4 ? "25 Xp" : getScore("dmg_status", player) >= 5 ? "§cMax§r" : "5 Xp";
  form.title("Status");
  form.body(`Health: ${getScore("hp_status", player)}\nResistance: ${getScore("res_status", player)}\nSpeed: ${getScore("spd_status", player)}\nDamage: ${getScore("dmg_status", player)}`);
  form.button(`Requer: §a${hp}§r`);//skin
  form.button(`Requer: §a${res}§r`);//skin
  form.button(`Requer: §a${spd}§r`);//hair
  form.button(`Requer: §a${dmg}§r`);//hair
  form.show(player).then((r) => {
    if (r.selection === 0) {
      if (getScore("hp_status", player) == 0) {
        player.runCommandAsync(`tellraw @s[lm=5] {"rawtext":[{"text":"+1 Health Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=5] hp_status 1`);
        player.runCommandAsync(`execute at @s[lm=5] run function loop`);
        player.runCommandAsync(`xp -5L @s[lm=5]`);
      }
      if (getScore("hp_status", player) == 1) {
        player.runCommandAsync(`tellraw @s[lm=10] {"rawtext":[{"text":"+1 Health Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=10] hp_status 1`);
        player.runCommandAsync(`execute at @s[lm=10] run function loop`);
        player.runCommandAsync(`xp -10L @s[lm=10]`);
      }
      if (getScore("hp_status", player) == 2) {
        player.runCommandAsync(`tellraw @s[lm=15] {"rawtext":[{"text":"+1 Health Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=15] hp_status 1`);
        player.runCommandAsync(`execute at @s[lm=15] run function loop`);
        player.runCommandAsync(`xp -15L @s[lm=15]`);
      }
      if (getScore("hp_status", player) == 3) {
        player.runCommandAsync(`tellraw @s[lm=20] {"rawtext":[{"text":"+1 Health Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=20] hp_status 1`);
        player.runCommandAsync(`execute at @s[lm=20] run function loop`);
        player.runCommandAsync(`xp -20L @s[lm=20]`);
      }
      if (getScore("hp_status", player) == 4) {
        player.runCommandAsync(`tellraw @s[lm=25] {"rawtext":[{"text":"+1 Health Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=25] hp_status 1`);
        player.runCommandAsync(`execute at @s[lm=25] run function loop`);
        player.runCommandAsync(`xp -25L @s[lm=25]`);
      }
    }
    if (r.selection === 1) {
      if (getScore("res_status", player) == 0) {
        player.runCommandAsync(`tellraw @s[lm=5] {"rawtext":[{"text":"+1 Resistance Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=5] res_status 1`);
        player.runCommandAsync(`execute at @s[lm=5] run function loop`);
        player.runCommandAsync(`xp -5L @s[lm=5]`);
      }
      if (getScore("res_status", player) == 1) {
        player.runCommandAsync(`tellraw @s[lm=10] {"rawtext":[{"text":"+1 Resistance Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=10] res_status 1`);
        player.runCommandAsync(`execute at @s[lm=10] run function loop`);
        player.runCommandAsync(`xp -10L @s[lm=10]`);
      }
      if (getScore("res_status", player) == 2) {
        player.runCommandAsync(`tellraw @s[lm=15] {"rawtext":[{"text":"+1 Resistance Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=15] res_status 1`);
        player.runCommandAsync(`execute at @s[lm=15] run function loop`);
        player.runCommandAsync(`xp -15L @s[lm=15]`);
      }
      if (getScore("res_status", player) == 3) {
        player.runCommandAsync(`tellraw @s[lm=20] {"rawtext":[{"text":"+1 Resistance Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=20] res_status 1`);
        player.runCommandAsync(`execute at @s[lm=20] run function loop`);
        player.runCommandAsync(`xp -20L @s[lm=20]`);
      }
      if (getScore("res_status", player) == 4) {
        player.runCommandAsync(`tellraw @s[lm=25] {"rawtext":[{"text":"+1 Resistance Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=25] res_status 1`);
        player.runCommandAsync(`execute at @s[lm=25] run function loop`);
        player.runCommandAsync(`xp -25L @s[lm=25]`);
      }
    }
    if (r.selection === 2) {
      if (getScore("spd_status", player) == 0) {
        player.runCommandAsync(`tellraw @s[lm=5] {"rawtext":[{"text":"+1 Speed Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=5] spd_status 1`);
        player.runCommandAsync(`execute at @s[lm=5] run function loop`);
        player.runCommandAsync(`xp -5L @s[lm=5]`);
      }
      if (getScore("spd_status", player) == 1) {
        player.runCommandAsync(`tellraw @s[lm=10] {"rawtext":[{"text":"+1 Speed Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=10] spd_status 1`);
        player.runCommandAsync(`execute at @s[lm=10] run function loop`);
        player.runCommandAsync(`xp -10L @s[lm=10]`);
      }
      if (getScore("spd_status", player) == 2) {
        player.runCommandAsync(`tellraw @s[lm=15] {"rawtext":[{"text":"+1 Speed Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=15] spd_status 1`);
        player.runCommandAsync(`execute at @s[lm=15] run function loop`);
        player.runCommandAsync(`xp -15L @s[lm=15]`);
      }
      if (getScore("spd_status", player) == 3) {
        player.runCommandAsync(`tellraw @s[lm=20] {"rawtext":[{"text":"+1 Speed Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=20] spd_status 1`);
        player.runCommandAsync(`execute at @s[lm=20] run function loop`);
        player.runCommandAsync(`xp -20L @s[lm=20]`);
      }
      if (getScore("spd_status", player) == 4) {
        player.runCommandAsync(`tellraw @s[lm=25] {"rawtext":[{"text":"+1 Speed Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=25] spd_status 1`);
        player.runCommandAsync(`execute at @s[lm=25] run function loop`);
        player.runCommandAsync(`xp -25L @s[lm=25]`);
      }
    }
    if (r.selection === 3) {
      if (getScore("dmg_status", player) == 0) {
        player.runCommandAsync(`tellraw @s[lm=5] {"rawtext":[{"text":"+1 Damage Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=5] dmg_status 1`);
        player.runCommandAsync(`execute at @s[lm=5] run function loop`);
        player.runCommandAsync(`xp -5L @s[lm=5]`);
      }
      if (getScore("dmg_status", player) == 1) {
        player.runCommandAsync(`tellraw @s[lm=10] {"rawtext":[{"text":"+1 Damage Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=10] dmg_status 1`);
        player.runCommandAsync(`execute at @s[lm=10] run function loop`);
        player.runCommandAsync(`xp -10L @s[lm=10]`);
      }
      if (getScore("dmg_status", player) == 2) {
        player.runCommandAsync(`tellraw @s[lm=15] {"rawtext":[{"text":"+1 Damage Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=15] dmg_status 1`);
        player.runCommandAsync(`execute at @s[lm=15] run function loop`);
        player.runCommandAsync(`xp -15L @s[lm=15]`);
      }
      if (getScore("dmg_status", player) == 3) {
        player.runCommandAsync(`tellraw @s[lm=20] {"rawtext":[{"text":"+1 Damage Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=20] dmg_status 1`);
        player.runCommandAsync(`execute at @s[lm=20] run function loop`);
        player.runCommandAsync(`xp -20L @s[lm=20]`);
      }
      if (getScore("dmg_status", player) == 4) {
        player.runCommandAsync(`tellraw @s[lm=25] {"rawtext":[{"text":"+1 Damage Point"}]}`);
        player.runCommandAsync(`scoreboard players add @s[lm=25] dmg_status 1`);
        player.runCommandAsync(`execute at @s[lm=25] run function loop`);
        player.runCommandAsync(`xp -25L @s[lm=25]`);
      }
    }
  }
);}
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                  
                
                
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                                
                            
                                                   
                
                  
                
                
                
                
                
                  
                
                  
                
                
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                         
                                              
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                         
                                                                                          
                                                                                                                                
                                                                                          
                                                                                                                                           
                
                
                        
                            
                                    
                            
                                                                
                            
                                                   
                
                  
                
                
                
                
                
                  
                
                  
                
                
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                         
                                              
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                         
                                                                                          
                                                                                                                                
                                                                                          
                                                                                                                               
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                
                
                
                  
                
                
                        
                
                  
                
                
                
                
                
                  
                
                  
                
                
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                                
                            
                                                   
                
                  
                
                
                
                
                
                  
                
                  
                
                
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                         
                                              
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                         
                                                                                          
                                                                                                                                
                                                                                          
                                                                                                                                           
                
                
                        
                            
                                    
                            
                                                                
                            
                                                   
                
                  
                
                
                
                
                
                  
                
                  
                
                
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                         
                                              
                        
                          
                
                
                
                
                
                  
                
                  
                
                
                        
                            
                              
                  
                
                
                        
                            
                                    
                            
                                                         
                                                                                          
                                                                                                                                
                                                                                          
                                                                                                                                                                            
                                                                                                                                
                                                                                          
                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                        
                                                                                          
                                                                                                                                                                                                                                       
                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                 
                                                                                          
                                                                                                                                                                                                                                       
                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     